<?php
/**
 * Class that operate on table 'sizecolor'. Database Mysql.
 *
 * @author: http://phpdao.com
 * @date: 2019-08-18 15:09
 */
class SizecolorMySqlExtDAO extends SizecolorMySqlDAO{

    public function updateExcelInfo($scExcelid, $scID) {
        $sql = 'UPDATE sizecolor SET scExcelid = ' . $scExcelid . ' WHERE id = ' . $scID . '';
        $sqlQuery = new SqlQuery($sql);
        return $this->executeUpdate($sqlQuery);
    }
    
    public function getExcelInfo($queryString) {
        $sql = 'SELECT id,scExcelid,name
		FROM sizecolor
                ' . $queryString;
        $sqlQuery = new SqlQuery($sql);
        return $this->getList($sqlQuery);
    }
    
    public function queryByNameExtWithoutLimit($name, $queryString = '') {
        $sql = 'SELECT *
		FROM sizecolor
		WHERE name LIKE "%' . $name . '%"
		AND conditions = 0
                '.$queryString.'';
        $sqlQuery = new SqlQuery($sql);
        //print($sql);
        return $this->getList($sqlQuery);
    }
}
?>